SharedTemplateQueryParameters

Parameters used for querying templates that can create one or more features in the database. These parameters provide criteria that define a template or layer, restrict by reference or visibility, and include tags to filter the templates returned.

Templates from SharedTemplateQuerySourceType.Layer source can only be filtered by the SharedTemplateQueryParameters.layerIds. The rest of the parameters here are not applicable.

Since

300.0.0

Constructors

Link copied to clipboard
constructor()

Creates shared template query parameters.

Properties

Link copied to clipboard

The collection of IDs that identify layers where the templates can be used. Required when SharedTemplateQueryParameters.templateIds is not specified.

Link copied to clipboard

True to only return templates with all parts specified in the SharedTemplateQueryParameters.layerIds; otherwise, false. Default is true. When set to true, a template is returned only if the layers for the primary feature and its template parts are all included in the SharedTemplateQueryParameters.layerIds.

Link copied to clipboard

True to return only the visible templates; otherwise, false. Default is true. When set to true, a template is returned only when visible. When set to false, a template is returned regardless of its visibility.

Link copied to clipboard

Specifies the source of templates for this query. Default is SharedTemplateQuerySourceType.Database. Use this property to optionally return the FeatureTemplate collection from the table or layer in the result for the SharedTemplateSource.querySharedTemplates.

Link copied to clipboard

Queries for templates with any of the matching tags. Applicable only for templates returned from SharedTemplateQuerySourceType.Database source.

Link copied to clipboard

A collection of IDs of templates to fetch. Required when SharedTemplateQueryParameters.layerIds is not specified. Applicable only for templates returned from SharedTemplateQuerySourceType.Database source.